std::shuffle_order_engine< _RandomNumberEngine, __k > Class Template Reference
Numerics » Random Number Generation » Random Number Generators

## Public Types

typedef _RandomNumberEngine::result_type | result_type

## Public Member Functions

| shuffle_order_engine ()
| shuffle_order_engine (_RandomNumberEngine &&__rng)
template<typename _Sseq , typename = typename std::enable_if<!std::is_same<_Sseq, shuffle_order_engine>::value && !std::is_same<_Sseq, _RandomNumberEngine>::value> ::type>
| shuffle_order_engine (_Sseq &__q)
| shuffle_order_engine (const _RandomNumberEngine &__rng)
| shuffle_order_engine (result_type __s)
const _RandomNumberEngine & | base () const noexcept
void | discard (unsigned long long __z)
result_type | operator() ()
void | seed ()
template<typename _Sseq >
void | seed (_Sseq &__q)
void | seed (result_type __s)

## Static Public Member Functions

static constexpr result_type | max ()
static constexpr result_type | min ()

## Static Public Attributes

static constexpr size_t | table_size

## Friends

template<typename _RandomNumberEngine1 , size_t __k1, typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::shuffle_order_engine< _RandomNumberEngine1, __k1 > &__x)
bool | operator== (const shuffle_order_engine &__lhs, const shuffle_order_engine &__rhs)
template<typename _RandomNumberEngine1 , size_t __k1, typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | operator>> (std::basic_istream< _CharT, _Traits > &__is, std::shuffle_order_engine< _RandomNumberEngine1, __k1 > &__x)

## Detailed Description

### template<typename _RandomNumberEngine, size_t __k>
class std::shuffle_order_engine< _RandomNumberEngine, __k >

Produces random numbers by combining random numbers from some base engine to produce random numbers with a specifies number of bits `__k`.

Definition at line 1284 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc